import type { _INIntent } from "./INIntent.js";
import type { _INSpeakableString } from "./INSpeakableString.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _INSetProfileInCarIntent extends _INIntent {
    static alloc(): _INSetProfileInCarIntent;
    static new(): _INSetProfileInCarIntent;
    init(): _INSetProfileInCarIntent;
    initWithProfileNumber$profileName$defaultProfile$carName$(profileNumber: _NSNumber | null, profileName: _NSString | null, defaultProfile: _NSNumber | null, carName: _INSpeakableString | null): _INSetProfileInCarIntent;
    /** @deprecated -initWithProfileNumber:profileName:defaultProfile: */
    initWithProfileNumber$profileLabel$defaultProfile$(profileNumber: _NSNumber | null, profileLabel: _NSString | null, defaultProfile: _NSNumber | null): _INSetProfileInCarIntent;
    /** @deprecated -initWithProfileNumber:profileName:defaultProfile:carName: */
    initWithProfileNumber$profileName$defaultProfile$(profileNumber: _NSNumber | null, profileName: _NSString | null, defaultProfile: _NSNumber | null): _INSetProfileInCarIntent;
    profileNumber(): _NSNumber;
    profileName(): _NSString;
    defaultProfile(): _NSNumber;
    carName(): _INSpeakableString;
    /** @deprecated profileName */
    profileLabel(): _NSString;
}
